#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <errno.h>	/* wg. errno */
#include <string.h>	/* wg. strerr() */

int main() {
    int fd;
    if ((fd = open("file", O_RDWR | O_CREAT | O_EXCL | O_TRUNC, 0600)) < 0) {
	/* Fehler mit perror ausgeben */
	perror("open");
	/* alternativ die Nummer des Fehlers (errno) ausgeben */
	printf("errno = %d\n", errno);
	/* Fehlernummer in Fehlerstring uebersetzen */
	printf("Fehler = %s\n", strerror(errno));
	/* perror("open") nachbilden: */
	fprintf(stderr, "%s: %s\n", "open", strerror(errno));
	exit(1);	/* ... jetzt ist aber wirklich Schluss! */
    }
    close(fd);
    return 0;
}
